
function Clear()
{    
    UnregControl("70FB5B96-9A1E-4FA2-9975-91117B672879", "VisualNews.VisualNewsGadget");
}

function UnregControlCore(clsid, prgid, rootCls, rootPid)
{    
    try
    {
        var wshShell = new ActiveXObject("WScript.Shell"); 
	    wshShell.RegDelete (rootCls+"InprocServer32\\");
        wshShell.RegDelete (rootCls);
        wshShell.RegDelete (rootPid+"CLSID\\");
        wshShell.RegDelete (rootPid);
    }catch(e){}
}

function UnregControl(clsid, prgid)
{
    var rootCls = "HKCU\\Software\\Classes\\CLSID\\{" + clsid + "}\\";
    var rootPid = "HKCU\\SOFTWARE\\Classes\\" + prgid + "\\";
    UnregControlCore(clsid, prgid, rootCls, rootPid);
    
    rootCls = "HKLM\\Software\\Classes\\CLSID\\{" + clsid + "}\\";
    rootPid = "HKLM\\SOFTWARE\\Classes\\" + prgid + "\\";
    UnregControlCore(clsid, prgid, rootCls, rootPid);
}


function SettingsClosed()
{
	if(System.Gadget.Settings.read("Changed"))
		SetGadgetSettings(false);
}


function Init()
{
    GadgetObj.SetLanguage(LangID);
	GadgetObj.LoadSettings();
	SetGadgetSettings(true);
	System.Gadget.settingsUI = "Settings.html";
	System.Gadget.onSettingsClosed = SettingsClosed;
}

String.prototype.trim = function()
{
	return this.replace(/^\s+|\s+$/g,"");
}


function SetGadgetSettings(Silent)
{
	if(System.Gadget.Settings.read("RegNumber") != "" ||
		System.Gadget.Settings.read("UserName") != "")
	{
		GadgetObj.ValidateRegInfo(System.Gadget.Settings.read("UserName"),
			System.Gadget.Settings.read("RegNumber"), Silent);
	}	
	
	if(GadgetObj.Paused != System.Gadget.Settings.read("Paused"))
		GadgetObj.Pause();

	if(System.Gadget.Settings.read("Delay")!= "")
		GadgetObj.DelayBetweenFeeds = System.Gadget.Settings.read("Delay");		
		
	if(System.Gadget.Settings.read("Speed")!= "")
		GadgetObj.SpeechSpeed = System.Gadget.Settings.read("Speed");	
		
	if(System.Gadget.Settings.read("FeedURLs").trim() != "" && System.Gadget.Settings.read("FeedURLs").trim() != "URL")
		GadgetObj.FeedURLs = System.Gadget.Settings.read("FeedURLs");		
	
	System.Gadget.Settings.write("FeedURLs", GadgetObj.FeedURLs);
	System.Gadget.Settings.write("Delay", GadgetObj.DelayBetweenFeeds);
	System.Gadget.Settings.write("Speed", GadgetObj.SpeechSpeed);
	System.Gadget.Settings.write("Registered", GadgetObj.Registered)
	System.Gadget.Settings.write("Changed", false);
	System.Gadget.Settings.write("Paused", GadgetObj.Paused);
	System.Gadget.Settings.write("RegURL", GadgetObj.GetRegistrationLink());
	
	if(GadgetObj.Registered)GadgetObj.SaveSettings();
}

function GadgetClicked()
{
	GadgetObj.OpenCurrentLink();
}

function onMouseOver()
{
    try{GadgetObj.SetMouseOver(1);}catch(e){}
}

function onMouseOut() 
{
    try{GadgetObj.SetMouseOver(0);}catch(e){}
}